commit:     7c05c6fee144e072e5c249ebdf713251cbb31257
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Jun 21 18:59:09 2020 +0000
Commit:     Jason A. Donenfeld <zx2c4 <AT> gentoo <DOT> org>
CommitDate: Sat Dec  5 13:31:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c05c6fe

dev-python/livereload: version bump, add py3_9

Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Jason A. Donenfeld <zx2c4 <AT> gentoo.org>

 dev-python/livereload/Manifest                |  1 +
 dev-python/livereload/livereload-2.6.3.ebuild | 47 +++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/livereload/Manifest b/dev-python/livereload/Manifest
index 284dc3221c3..7ccf872191f 100644
--- a/dev-python/livereload/Manifest
+++ b/dev-python/livereload/Manifest
@@ -1 +1,2 @@
 DIST livereload-2.6.1.tar.gz 28324 BLAKE2B 
e6b9d107b5848916548e3665461dc90c1a37124496b4066aab45c62c57f0287f23d3883321bc2c67a053f981336c84ff47d1a459c9f10bb8965ea11236d07d2d
 SHA512 
c7f058687c715a46e24537105bae2788395c6664a69f9a78b1c357464818d17826515c66c537ab625ee5eeb99f162b1304006455f4da9b0bab9a67bacf12d3dc
+DIST livereload-2.6.3.tar.gz 29407 BLAKE2B 
39f030dbc21bec1b132fd9d43f9072f4c35d23ccdca56819e2c6b35277e9eac9caeeff7052fc766359e34bf415319f809ebd45927bd2cc223be7ac88594feef7
 SHA512 
ccccb17cb4d835eb9e812f8076f871164f6afb2fdc1aee9e35c5ef2d75be2c0403cee51d4eb30b029d7b35522f357ee8c3e9df926fd93511ba7d010ed2a69e8e

diff --git a/dev-python/livereload/livereload-2.6.3.ebuild 
b/dev-python/livereload/livereload-2.6.3.ebuild
new file mode 100644
index 00000000000..4fee9254685
--- /dev/null
+++ b/dev-python/livereload/livereload-2.6.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python LiveReload is an awesome tool for web developers"
+HOMEPAGE="https://github.com/lepture/python-livereload";
+SRC_URI="https://github.com/lepture/python-${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="examples"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       www-servers/tornado[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/python-${P}"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/flask-sphinx-themes
+
+python_prepare_all() {
+       # AssertionError: assert (None, None) == 
('/var/tmp/portage/dev-python/livereload-2.6.1/work/livereload-2.6.1/tests/tmp/first/foo',\n
 None)
+       sed -i -e 's:test_watch_multiple_dirs:_&:' tests/test_watcher.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       if use examples; then
+               docinto examples
+               dodoc -r example/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to